<?php

namespace WilokeThreeDSlider\Shared;

class HtmlHelper
{
	public static function autoPrefix($item){
		return strpos($item, WILOKE_3D_SLIDER_ID) === false ? WILOKE_3D_SLIDER_ID . '-' . $item : $item;
 	}

	public static function renderItem(array $aItem, $extraClasses = '')
	{
		?>
		<div class="<?php echo HtmlHelper::autoPrefix("box"); ?>">
			<img
				src="<?php echo esc_url($aItem["image"]["url"]); ?>"
				alt="<?php echo esc_attr($aItem["image"]["alt"]); ?>"
			/>
		</div>
		<?php
	}
}
